boost::geometry::strategy::transform::map_transformer< CalculationType, Dimension1, Dimension2, Mirror, SameScale > Class Template Reference
strategies: strategies

Transformation strategy to map from one to another Cartesian coordinate system. More...

Inheritance diagram for boost::geometry::strategy::transform::map_transformer< CalculationType, Dimension1, Dimension2, Mirror, SameScale >:

List of all members.

## Public Member Functions

template<typename B , typename D >
| map_transformer (B const &box, D const &width, D const &height)
template<typename W , typename D >
| map_transformer (W const &wx1, W const &wy1, W const &wx2, W const &wy2, D const &width, D const &height)

## Detailed Description

### template<typename CalculationType, std::size_t Dimension1, std::size_t Dimension2, bool Mirror = false, bool SameScale = true>
class boost::geometry::strategy::transform::map_transformer< CalculationType, Dimension1, Dimension2, Mirror, SameScale >

Transformation strategy to map from one to another Cartesian coordinate system.

Template Parameters:

  Mirror | if true map is mirrored upside-down (in most cases pixels are from top to bottom, while map is from bottom to top)

## Constructor & Destructor Documentation

template<typename CalculationType , std::size_t Dimension1, std::size_t Dimension2, bool Mirror = false, bool SameScale = true>
template<typename B , typename D >

boost::geometry::strategy::transform::map_transformer< CalculationType, Dimension1, Dimension2, Mirror, SameScale >::map_transformer | ( | B const & | box,
|  | D const & | width,
|  | D const & | height
| ) |  | `[explicit]`

template<typename CalculationType , std::size_t Dimension1, std::size_t Dimension2, bool Mirror = false, bool SameScale = true>
template<typename W , typename D >

boost::geometry::strategy::transform::map_transformer< CalculationType, Dimension1, Dimension2, Mirror, SameScale >::map_transformer | ( | W const & | wx1,
|  | W const & | wy1,
|  | W const & | wx2,
|  | W const & | wy2,
|  | D const & | width,
|  | D const & | height
| ) |  | `[explicit]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK